Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class FaceHorizontalTextPositionParser

    java.lang.Object
      com.pietschy.command.configuration.impl.FaceAttributeParser
          com.pietschy.command.configuration.impl.InheritedAttributeParser
              com.pietschy.command.configuration.impl.FaceHorizontalTextPositionParser

     class FaceHorizontalTextPositionParser

extends InheritedAttributeParser

Parser for the `horizontalTextPostion` property.

Constructor Summary
`FaceHorizontalTextPositionParser()` Creates a new instance.

Method Summary
`protected java.lang.Object` | `parseValue(java.lang.String propertyName, java.lang.String value, ExceptionFactory factory)` Parses the `horizontalTextPosition` property.

Methods inherited from class com.pietschy.command.configuration.impl.InheritedAttributeParser
`parseEmptyImpl, parseImpl`

Methods inherited from class com.pietschy.command.configuration.impl.FaceAttributeParser
`getProperties, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaceHorizontalTextPositionParser

    public FaceHorizontalTextPositionParser()

  Creates a new instance.

Method Detail

### parseValue

    protected java.lang.Object parseValue(java.lang.String propertyName,
                                          java.lang.String value,
                                          ExceptionFactory factory)
                                   throws ParseException

  Parses the `horizontalTextPosition` property. The value is converted to the appropriate SwingConstant.

  Specified by:
    `parseValue` in class `InheritedAttributeParser`
  Parameters:
    `propertyName` - ignored.
    `value` - the value.
    `factory` - the exception factory.
  Returns:
    the swing constant represented by the value.
  Throws:
    `ParseException` - if the value was invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch